> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get PDF URL for submission

> Returns the PDF URL for a form submission if it exists.



## OpenAPI

````yaml /api-reference/forms/openapi.json get /forms/{formId}/submissions/{submissionId}/pdf-url
openapi: 3.0.0
info:
  title: Forms API
  description: Documentation for forms API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Forms
    description: Documentation for forms API
  - name: Categories
    description: Documentation for forms API
paths:
  /forms/{formId}/submissions/{submissionId}/pdf-url:
    get:
      tags:
        - Forms
      summary: Get PDF URL for submission
      description: Returns the PDF URL for a form submission if it exists.
      operationId: get-pdf-url
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: formId
          required: true
          in: path
          description: Form ID
          schema:
            type: string
            example: DWQ45t2IPVxi9LDu1wBl
        - name: submissionId
          required: true
          in: path
          description: Submission ID
          schema:
            type: string
            example: 38303ec7-629a-49e2-888a-cf8bf0b1f97e
        - name: locationId
          required: true
          in: query
          description: Location ID
          schema:
            type: string
            example: ve9EPM428h8vShlRW1KT
      responses:
        '200':
          description: PDF URL retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPdfUrlResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '404':
          description: Form or Submission not found
      security:
        - bearer: []
components:
  schemas:
    GetPdfUrlResponseDto:
      type: object
      properties:
        pdfUrl:
          type: string
          description: PDF URL
          example: https://storage.googleapis.com/bucket/path/to/file.pdf
        pdfExists:
          type: boolean
          description: Indicates if PDF exists
          example: true
      required:
        - pdfExists
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````